## Bsoft program

# bradial

### Usage: bradial [options] input.img output.img

Calculates radial profiles of 2D and 3D images.
The origin within the image will be used by default to calculate a radial profile. To use the radial fit, the sampling (voxel sizes) for the two images must be within 20 % correct. Successive calibrations with the same input will not necessarily give the exact same factors on output because the simplex algorithm with random initial parameters is used.

### Actions:

-subtractbackground | Calculate and subtract the background before calculating radial profiles.
-radial | Radial average profile.
-elliptical 1.2,20 | Elliptical average profile with given ellipticity and angle.
-Radialps 15.5,1 | Radial power spectrum up to a given resolution (in angstrom).
| and a flag to average multiple power spectra.
-polar 156,24,35 | Polar image: annuli, phi steps, theta steps.
-cylindrical 124,36 | Cylindrical image: annuli, phi steps.
-shells | Calculate radial shells projected along the z-axis.
-expand 150,150,1 | Size to generate a 2D or 3D image from a radial profile (use with -origin).
-average | Average multiple images before writing an output image.
-logarithm | Calculate logarithm of radial power spectrum.
-reslice -z+xy | Reslice (switch axes) after all other operations.
-coverage 1.4 | Shell coverage for the given threshold.

### Parameters:

-verbose 7 | Verbosity of output.
-datatype u | Force writing of a new data type.
-sampling 1.5,1.5,1.5 | Sampling (default from image; a single value can be given).
-origin 0,-10,30 | Set the origin for radial profile (default image origin).
-minmax 4,123 | Minimum and maximum radii for radial and volume profiles (angstrom).
-step 2.68 | Step size for radial profiles (default pixel size in angstrom).
-wrap | Flag to wrap around image boundaries (default not).

### Input:

-fit file.img | Map to fit radial profile of input image to.
-Mask mask.tif | Mask to limit calculations.

### Output:

-Postscript rad.ps | Postscript output file name.

Bsoft version 2.0.3-20180917 (64 bit)